/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	コンテナ ステータス更新関連テーブルデータアクセスクラス
//			変更履歴
//				2004.01.08 A.Shimoma 新規作成
//
package jp.co.ntt.lms.lo.Container;

import java.sql.SQLException;
import java.util.Hashtable;

import jp.co.ntt.lms.lo.LOException;
import jp.co.ntt.lms.lo.util.PropagateUtil;
import jp.co.ntt.lms.xmo.DataAccess;
import jp.co.ntt.lms.xmo.util.DebugLog;


/**
 * ステータス更新関連テーブルデータアクセスクラスです。<BR>
 * 
 * @author ei-shimoma
 */
public class ContainerDataAccess implements ContainerPropertyDef {

	/**
	 * コンストラクタ
	 **/
	public ContainerDataAccess() {
	}

	/**
	 * コンテナ ステータス更新関連テーブルへ更新処理を行います
	 * @param htbParam パラメータリスト
	 * @exception SQLException DB操作に失敗した場合
	 * @exception LOException LO独自例外
	 */
	public synchronized void update(Hashtable htbParam) throws LOException {
		// データアクセスクラスをインスタンス化します
		DataAccess objDataAccess = new DataAccess(TABLE_NAME);
		try {
			// トランザクション開始
			objDataAccess.trans();

			// ステータス更新関連テーブル登録処理
			PropagateUtil.setPropagateRelation(htbParam, objDataAccess);

			// コミット処理
			objDataAccess.commit();

		} catch (SQLException e) {
			DebugLog.write(this.getClass(), e, DebugLog.HIGHT);
			// ロールバック
			try {
				objDataAccess.rollback();
			} catch (Exception ex) {
			}
			// データベースエラーを設定
			throw new LOException(e.getMessage());
		}
	}
}